version: "3"
services:
  nginx:
    build: .
    # command: /usr/local/nginx/sbin/nginx -g 'daemon off;'
    ports:
      - 80:80
      - 443:443
    restart: always
    volumes:
      - ./static:/usr/local/static/
      - ./static/nginx.conf:/usr/local/nginx/conf/nginx.conf
      - ./static/index.html:/var/www/localhost/htdocs/index.html
      - ./certbot/www:/var/www/certbot/:ro
      - ./certbot/conf/:/etc/nginx/ssl/:ro
    depends_on:
      - certbot
  certbot:
    image: certbot/certbot
    command: certonly --standalone --non-interactive --agree-tos --email artchay28@gmail.com -d example.org
    volumes:
      - ./certbot/www/:/var/www/certbot/:rw
      - ./certbot/conf/:/etc/letsencrypt/:rw